﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class DoorPuzzle : MonoBehaviour
{
    public enum PuzzleType
    {
        Lever,
        Pressure
    }

    [Header("Varijables")]
    public bool IsSolved = false;
    public bool IsLast;
    public GameObject Solution1;
    public GameObject Solution2;
    public PuzzleType PuzzleTypeObject;
    private GameManager GM;
    public int LevelToUnlock;
    public GameObject LevelCompleteCanvas;
    public int NumberOfSolutions;

    private void Start()
    {
        if (LevelCompleteCanvas != null)
        {
            LevelCompleteCanvas.SetActive(false);
        }
        GM = FindObjectOfType<GameManager>();
    }

    private void Update()
    {
        if (!IsSolved)
        {
            if (PuzzleTypeObject == PuzzleType.Pressure)
            {
               if(NumberOfSolutions == 1)
                {
                    if(Solution1.GetComponent<PressurePlate>().IsTriggered == true)
                    {
                        IsSolved = true;
                    }
                }else if(NumberOfSolutions == 2)
                {
                    if (Solution1.GetComponent<PressurePlate>().IsTriggered == true && Solution2.GetComponent<PressurePlate>().IsTriggered == true)
                    {
                        IsSolved = true;
                    }
                }
            }
            else if(PuzzleTypeObject == PuzzleType.Lever)
            {
                if(NumberOfSolutions == 1)
                {
                    if (Solution1.GetComponent<LeverPuzzle>().IsInteracted == true || Solution2.GetComponent<LeverPuzzle>().IsInteracted == true)
                    {
                        //Debug.Log("Puzzle Solved");
                        IsSolved = true;
                    }
                }else if(NumberOfSolutions == 2)
                {
                    if (Solution1.GetComponent<LeverPuzzle>().IsInteracted == true && Solution2.GetComponent<LeverPuzzle>().IsInteracted == true)
                    {
                        //Debug.Log("Puzzle Solved");
                        IsSolved = true;
                    }
                }
            }
        }
        else if(IsSolved && IsLast)
        {
            //Debug.Log("Completed level!");
            if (GM.UnlockedLevel < LevelToUnlock)
            {
                GM.UnlockedLevel++;
            }
            LevelCompleteCanvas.SetActive(true);
        }
        else if(IsSolved && !IsLast)
        {
            Destroy(this.gameObject);
            //Do nothing
        }
    }
}
