﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class GameManager : MonoBehaviour
{
    public int UnlockedLevel = 1;
    private static GameManager _instance;
    public LevelLocker[] Levels;

    private void Awake()
    {
        if (!_instance)
        {
            _instance = this;
        }
        else
        {
            Destroy(this.gameObject);
        }

        DontDestroyOnLoad(this.gameObject);
    }

    private void Start()
    {

        Levels = null;
        Levels = FindObjectsOfType<LevelLocker>();

        if(PlayerPrefs.GetInt("unlockedLevel") >= 3)
        {
            //Debug.Log("Loaded game");
            UnlockedLevel = PlayerPrefs.GetInt("unlockedLevel");
            if (Levels.Length > 0)
            {
                for (int i = 0; i < Levels.Length; i++)
                {
                    if (UnlockedLevel >= Levels[i].WhichLevel)
                    {
                        Levels[i].GetComponent<MeshRenderer>().material = Levels[i].Unlocked;
                    }
                    else
                    {
                        Levels[i].GetComponent<MeshRenderer>().material = Levels[i].Locked;
                    }
                }
            }
        }
        else
        {
            //Do nothing
        }
    }

    public void SaveGame()
    {
        //Debug.Log("Saving game");
        PlayerPrefs.SetInt("unlockedLevel", UnlockedLevel);
    }
}
