﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class LevelLocker : MonoBehaviour
{
    public int WhichLevel;
    public Material Locked;
    public Material Unlocked;
    private GameManager GM;
    public List<Transform> Players;
    private bool UnlockedLevel = false;
    private float Timer;

    private void Start()
    {
        GM = FindObjectOfType<GameManager>();
        if(GM.UnlockedLevel >= WhichLevel)
        {
            this.gameObject.GetComponent<MeshRenderer>().material = Unlocked;
            UnlockedLevel = true;
        }
        else
        {
            this.gameObject.GetComponent<MeshRenderer>().material = Locked;
        }
    }

    private void Update()
    {
        if(Players.Count >= 2)
        {
            Timer += Time.deltaTime;
            if(Timer > 2)
            {
                SceneManager.LoadScene(WhichLevel);
            }
        }
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.CompareTag("Player"))
        {
            Players.Add(other.transform);
        }
    }

    private void OnTriggerExit(Collider other)
    {
        if (other.CompareTag("Player"))
        {
            Players.Remove(other.transform);
            Timer = 0;
        }
    }

}
