﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;

public class RepairPuzzle : MonoBehaviour
{
    private GameManager GM;
    private Animator Anim;
    public List<Transform> Players;
    public float Timer;
    public int LevelToUnlock;
    public bool IsSolved = false;
    public bool IsLast;
    public GameObject LevelCompleteCanvas;

    private void Start()
    {
        LevelCompleteCanvas.SetActive(false);
        GM = FindObjectOfType<GameManager>();
        Anim = GetComponentInChildren<Animator>();
    }

    private void Update()
    {
        if (!IsSolved)
        {
            if(Timer >= 2)
            {
                //Debug.Log("We solved the puzzle. Hurray!");
                for (int i = 0; i < Players.Count; i++)
                {
                    Players[i].GetComponent<PlayerMovement>().CanMove = true;
                }
                //Anim.SetBool("Solving", false);
                Anim.SetTrigger("Solved");
                IsSolved = true;
            }

            if (Players.Count >= 2)
            {
                //Anim.SetBool("Solving", true);
                Timer += Time.deltaTime;
            }
        }
        else if(IsSolved && IsLast)
        {
            if (GM.UnlockedLevel < LevelToUnlock)
            {
                GM.UnlockedLevel++;
            }
            LevelCompleteCanvas.SetActive(true);
        }
        else
        {
            //Do something else
        }
    }


    public void ReleasePlayers(Transform WhichPlayer)
    {
        WhichPlayer.GetComponent<PlayerMovement>().CanMove = true;
        Players.Remove(WhichPlayer);
        Timer = 0;
    }
}
