﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class RepairPuzzleTrigger : MonoBehaviour
{
    public RepairPuzzle RepairPuzzle;
    private bool IsBeingInteracted;
    private Transform Player;

    private void Update()
    {
        if (IsBeingInteracted && RepairPuzzle.IsSolved == false)
        {
            if (Input.GetKeyDown(KeyCode.E))
            {
                RepairPuzzle.ReleasePlayers(Player);
                IsBeingInteracted = false;
                Player = null;
            }
        }
    }

    private void OnTriggerEnter(Collider other)
    {
        if (other.CompareTag("Player") && RepairPuzzle.IsSolved == false)
        {
            RepairPuzzle.Players.Add(other.transform);
            other.GetComponent<PlayerMovement>().CanMove = false;
            Player = other.transform;
            IsBeingInteracted = true;
        }
    }


}
